de.esprit.appsuite.appstore.ndf

## Class TimestampWriter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.nio.ndf.NdfWriter
        - - de.esprit.appsuite.appstore.ndf.TimestampWriter

- All Implemented Interfaces:
    ApplicationObject, NdfConstants, AsyncExecutable, CancellableTask, TaskMonitorSupport, SimpleLogSupport, Dumpable, Executable, java.io.Closeable, java.lang.AutoCloseable

      public class TimestampWriter
      extends NdfWriter

  This class writes the timestamp of the last software installation and stores the name of all files and directories, that have been created during installation.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `tableExtractedFiles`
    `static java.lang.String` | `timestampDocType`

    - ### Fields inherited from class de.esprit.appsuite.nio.ndf.NdfWriter

      `defaultBlockCommentFillChar, defaultLineCommentFillChar, LEFT, RIGHT`

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampWriter(ApplicationContext ctx, java.io.File timestampFile, long timestamp, java.lang.String repository, java.util.List<java.lang.String> extractedFilesList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performWrite()` This method does the actual write of data.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfWriter

      `close, closeArray, closeBlockComment, closeBlockComment, closeDocument, closeList, closeObject, closePropertyList, closeStructuredArrayProperty, closeStructuredObjectProperty, closeStructuredTableProperty, closeTable, closeText, executeAsync, flush, getEncoding, getOutputFile, getWriteDuration, isWriteBodyTextRaw, openArray, openArray, openBlockComment, openBlockComment, openDocument, openDocument, openList, openList, openObject, openObject, openOutput, openPropertyList, openStructuredArrayProperty, openStructuredObjectProperty, openStructuredTableProperty, openStructuredTableProperty, openTable, openTable, openText, openText, openText, openText, openText, openText, setAppendMode, setArrayValuesTabbed, setDecimalFormat, setDefaultCommentHeaderLength, setEncoding, setFillCharForBlockCommentHeader, setFillCharForLineCommentHeader, setFixedCreationTimestamp, setLogChannel, setMaxArrayValuesByLine, setMaxListValuesByLine, setPropertiesAligned, setPropertiesCompacted, setPropertiesIndented, setTableValuesTabbed, setUseObjectShortCut, setWriteBodyTextRaw, writeArrayValue, writeArrayValues, writeArrayValues, writeArrayValues, writeArrayValues, writeArrayValues, writeArrayValues, writeArrayValues, writeArrayValues, writeBlockComment, writeBlockComment, writeBlockComment, writeBlockComment, writeBlockComment, writeComment, writeCommentHeader, writeCommentHeader, writeCommentHeader, writeLine, writeLine, writeListValue, writeListValues, writeListValues, writeProperties, writeProperty, writePropertyList, writeTableRow, writeTableRow, writeText, writeText`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `addMonitor, checkCancelled, checkForErrorAndRethrow, clearMonitors, createRunStateFlag, doOnCancel, doOnFailure, execute, executeSubTask, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, handleFinish, handleStart, handleSuccess, hasError, hasMonitor, isCancellable, notifyProceeded, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning`

- - ### Field Detail

    - #### timestampDocType

          public static final java.lang.String timestampDocType

      See Also:
        Constant Field Values

    - #### tableExtractedFiles

          public static final java.lang.String tableExtractedFiles

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimestampWriter

          public TimestampWriter(ApplicationContext ctx,
                         java.io.File timestampFile,
                         long timestamp,
                         java.lang.String repository,
                         java.util.List<java.lang.String> extractedFilesList)

  - ### Method Detail

    - #### performWrite

          protected void performWrite()
                               throws java.lang.Exception

      Description copied from class: `NdfWriter`
      This method does the actual write of data. It needs to be overridden in subclasses.
      Specified by:
        `performWrite` in class `NdfWriter`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.